added new common-smartgears util and added IS sweeping on the cleaning-state scripts

git-svn-id: https://svn.d4science.research-infrastructures.eu/gcube/trunk/distributions/smartgears-distribution@93608 82a268e6-3cf1-43bd-a215-b396298e98cf
This commit is contained in:
Andrea Manzi 2014-03-27 06:32:46 +00:00
parent 4bcd7f8b19
commit eedf800454
4 changed files with 41 additions and 3 deletions

View File

@ -45,6 +45,19 @@ if [ ! -d "$ghnhome/state/$apps" ]; then
exit 1;
fi
echo -e "\nRemoving resource profiles from the Information System\n"
source ./load-env
java org.gcube.smartgears.utils.sweeper.AppSweeperClient $apps 1>/dev/null
if [ "$?" != "0" ]; then
echo -e "\nCould no correctly sweep the profiles from the Information System"
echo -e "\nIn case of production deployment please contact the production admin"
echo -e "\nIn case of dev deployment you can remove the state by hand by removing the $GHN_HOME/state/$apps folder"
exit 1
fi
echo "Removing application state $ghnhome/state/$apps"
#removing folder
rm -rf $ghnhome/state/$apps

View File

@ -31,6 +31,18 @@ if [ -z "$ghnhome" ]; then
fi
fi
echo -e "\nRemoving resource profiles from the Information System\n"
source ./load-env
java org.gcube.smartgears.utils.sweeper.ContainerSweeperClient 1>/dev/null
if [ "$?" != "0" ]; then
echo -e "\nCould no correctly sweep the profiles from the Information System"
echo -e "\nIn case of production deployment please contact the production admin"
echo -e "\nIn case of dev deployment you can remove the state by hand by removing the $GHN_HOME/state folder"
exit 1
fi
echo "Removing container state $ghnhome"
#removing folder
rm -rf $ghnhome/state

View File

@ -0,0 +1,7 @@
if [ -z "$CATALINA_HOME" ]; then
echo -e "\nERROR:please specify the CATALINA_HOME env var." >&2
echo -e "\naborting.\n"
exit 1
fi
export CLASSPATH="$CATALINA_HOME/lib/*"

12
pom.xml
View File

@ -8,7 +8,7 @@
</parent>
<groupId>org.gcube.distribution</groupId>
<artifactId>smartgears-distribution</artifactId>
<version>1.1.0-SNAPSHOT</version>
<version>1.2.0-SNAPSHOT</version>
<packaging>pom</packaging>
<name>A distribution for the SmartGears Framework</name>
@ -43,16 +43,22 @@
<dependency>
<groupId>org.gcube.core</groupId>
<artifactId>common-smartgears</artifactId>
<version>[1.0.0-SNAPSHOT,)</version><!--$NO-MVN-MAN-VER$-->
<version>[1.0.0-SNAPSHOT,2.0.0-SNAPSHOT)</version><!--$NO-MVN-MAN-VER$-->
<classifier>probe</classifier>
<type>war</type>
</dependency>
<dependency>
<groupId>org.gcube.resourcemanagement</groupId>
<artifactId>whn-manager</artifactId>
<version>[1.0.0-SNAPSHOT,)</version>
<version>[1.0.0-SNAPSHOT,2.0.0-SNAPSHOT)</version>
<type>war</type>
</dependency>
<dependency>
<groupId>org.gcube.core</groupId>
<artifactId>common-smartgears-utils</artifactId>
<version>[1.0.0-SNAPSHOT,2.0.0-SNAPSHOT)</version>
<scope>provided</scope>
</dependency>
</dependencies>
<build>
<plugins>